CadXP: setpropertyvalue - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

setpropertyvalue

#1 L'utilisateur est hors-ligne   PHILPHIL 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 070
  • Inscrit(e) : 24-janvier 06
  • LocationNANTES

Posté 21 janvier 2021 - 11:59

bonjour


le help d 'autocad dit ca

The following example demonstrates how to change the first vertex of the Vertices collection.

(command "._pline" "0,0" "3,3" "5,2" "")
nil

(setq e3 (entlast))
<Entity name: 10e2e4da0>

(setpropertyvalue e3 "Vertices" 0 "EndWidth" 1.0)
nil



donc j'ai ecrit ca :

(setq thelast1 (cdr (assoc -1 (entget (entlast)))))
;;;    (setpropertyvalue thelast1
;;;
;;;                      "AcDbDynBlockPropertyLARGEUR COTE"
;;;                      largeurprofil1
;;;    )
;;;    (setpropertyvalue thelast1
;;;
;;;                      "AcDbDynBlockPropertyEPAISSEUR"
;;;                      epaisseurprofil1
;;;    )
;;;    (setpropertyvalue thelast1
;;;
;;;                      "AcDbDynBlockPropertyHAUTEUR"
;;;                      hauteurprofil1
;;;    )
    (setpropertyvalue thelast1 "AcDbDynBlockPropertyLARGEUR COTE" largeurprofil1 "AcDbDynBlockPropertyEPAISSEUR" epaisseurprofil1 "AcDbDynBlockPropertyHAUTEUR" hauteurprofil1)



les 3 premiers "setpropertyvalue" marchaient



pensant que ca allait plus vite j'ai testé :
(setpropertyvalue thelast1 "AcDbDynBlockPropertyLARGEUR COTE" largeurprofil1 "AcDbDynBlockPropertyEPAISSEUR" epaisseurprofil1 "AcDbDynBlockPropertyHAUTEUR" hauteurprofil1)


qui ne fonctionne pas

savez vous pourquoi ?

merci

Phil
Autodesk Architecture 2019 sous windows 10 64
24 pouces vertical + 30 pouces horizontal + 27 pouces horizontal
0

#2 L'utilisateur est hors-ligne   Luna 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 183
  • Inscrit(e) : 27-février 20

Posté 21 janvier 2021 - 13:01

Coucou,

Je pense que la réponse est dans la question pour le coup :3
The following example demonstrates how to change the first vertex of the Vertices collection.

(command "._pline" "0,0" "3,3" "5,2" "")
nil

(setq e3 (entlast))
<Entity name: 10e2e4da0>

(setpropertyvalue e3 "Vertices" 0 "EndWidth" 1.0)
nil


Et en regardant l'aide au complet on a ceci :
(setpropertyvalue ename propertyname value [or collectionName index name val])


En fait, l'exemple que tu as utilisé montre l'utilisation de la fonction (setpropertyvalue) dans le cas où on l'applique pour une Collection (ici "Vertices collection"), qui, contrairement à une utilisation sur une propriété simple, nécessite 4 arguments en plus de l'ename au lieu de 2.

Donc non, il n'est pas possible d'utiliser (setpropertyvalue) au même titre que (setq). Je ne sais pas si j'ai été suffisamment claire ^^"

Edit: encore une fois (gile) a la finesse d'esprit de simplifier et clarifier les explications, merci !

Bisous,
Luna

Ce message a été modifié par Luna - 21 janvier 2021 - 13:53 .

0

#3 L'utilisateur est hors-ligne   (gile) 

  • ceinture rouge et blanche 8em dan
  • Groupe : Moderateurs
  • Messages : 11 451
  • Inscrit(e) : 02-septembre 05

Posté 21 janvier 2021 - 13:21

Salut,

D'après l'aide :
Signature
(setpropertyvalue ename propertyname value [or collectionName index name val])

Autrement dit :
(setpropertyvalue e3 "Vertices" 0 "EndWidth" 1.0)
correspond à :
(setpropertyvalue ename collectionName index name val)

et :
(setpropertyvalue thelast1 "AcDbDynBlockPropertyLARGEUR COTE" largeurprofil1)
correspond à :
(setpropertyvalue ename propertyname value)

Mais en aucun cas il n'est question de traiter plusieurs propriétés dans la même expression (setpropertyvalue ...).
Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
Image IPB
0

#4 L'utilisateur est hors-ligne   PHILPHIL 

  • ceinture noire 2em dan
  • Groupe : Membres
  • Messages : 1 070
  • Inscrit(e) : 24-janvier 06
  • LocationNANTES

Posté 21 janvier 2021 - 15:43

hello

merci

phil
Autodesk Architecture 2019 sous windows 10 64
24 pouces vertical + 30 pouces horizontal + 27 pouces horizontal
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)